Permalink
Browse files

Updated to work with Rails 4

  • Loading branch information...
1 parent 52ec27b commit 076bce9a32dae16e204fc29f190f835d15372504 jamesw committed Oct 1, 2013
Showing with 80 additions and 94 deletions.
  1. +1 −1 .ruby-version
  2. +1 −1 .travis.yml
  3. +3 −0 CHANGELOG.md
  4. +2 −2 Gemfile
  5. +71 −89 Gemfile.lock
  6. +1 −0 README.md
  7. +1 −1 lib/tolk/version.rb
View
@@ -1 +1 @@
-ruby-1.9.3-p392
+ruby-2.0.0p247
View
@@ -4,4 +4,4 @@ before_script:
- "export DISPLAY=:99.0"
- "sh -e /etc/init.d/xvfb start"
rvm:
- - 1.9.3
+ - 2.0.0
View
@@ -1,3 +1,6 @@
+* Tolk 1.4.00
+ * Upgraded to work with Rails 4
+
* Tolk 1.3.11
* Bugkfix on tolk locale dump path
View
@@ -1,12 +1,12 @@
source "http://rubygems.org"
-gem "rails", "3.2.11"
+gem "rails", "4.0.0"
gem 'will_paginate'
gem 'safe_yaml', '>= 0.8.6'
group 'test' do
- gem 'capybara-webkit'
+ gem 'capybara'
gem "factory_girl_rails"
gem "sqlite3"
gem "mocha"
View
@@ -1,130 +1,112 @@
GEM
remote: http://rubygems.org/
specs:
- actionmailer (3.2.11)
- actionpack (= 3.2.11)
- mail (~> 2.4.4)
- actionpack (3.2.11)
- activemodel (= 3.2.11)
- activesupport (= 3.2.11)
- builder (~> 3.0.0)
+ actionmailer (4.0.0)
+ actionpack (= 4.0.0)
+ mail (~> 2.5.3)
+ actionpack (4.0.0)
+ activesupport (= 4.0.0)
+ builder (~> 3.1.0)
erubis (~> 2.7.0)
- journey (~> 1.0.4)
- rack (~> 1.4.0)
- rack-cache (~> 1.2)
- rack-test (~> 0.6.1)
- sprockets (~> 2.2.1)
- activemodel (3.2.11)
- activesupport (= 3.2.11)
- builder (~> 3.0.0)
- activerecord (3.2.11)
- activemodel (= 3.2.11)
- activesupport (= 3.2.11)
- arel (~> 3.0.2)
- tzinfo (~> 0.3.29)
- activeresource (3.2.11)
- activemodel (= 3.2.11)
- activesupport (= 3.2.11)
- activesupport (3.2.11)
- i18n (~> 0.6)
- multi_json (~> 1.0)
- addressable (2.3.3)
- arel (3.0.2)
- builder (3.0.4)
- capybara (2.0.2)
+ rack (~> 1.5.2)
+ rack-test (~> 0.6.2)
+ activemodel (4.0.0)
+ activesupport (= 4.0.0)
+ builder (~> 3.1.0)
+ activerecord (4.0.0)
+ activemodel (= 4.0.0)
+ activerecord-deprecated_finders (~> 1.0.2)
+ activesupport (= 4.0.0)
+ arel (~> 4.0.0)
+ activerecord-deprecated_finders (1.0.3)
+ activesupport (4.0.0)
+ i18n (~> 0.6, >= 0.6.4)
+ minitest (~> 4.2)
+ multi_json (~> 1.3)
+ thread_safe (~> 0.1)
+ tzinfo (~> 0.3.37)
+ addressable (2.3.5)
+ arel (4.0.0)
+ atomic (1.1.14)
+ builder (3.1.4)
+ capybara (2.1.0)
mime-types (>= 1.16)
nokogiri (>= 1.3.3)
rack (>= 1.0.0)
rack-test (>= 0.5.4)
- selenium-webdriver (~> 2.0)
- xpath (~> 1.0.0)
- capybara-webkit (0.14.2)
- capybara (~> 2.0, >= 2.0.2)
- json
- childprocess (0.3.9)
- ffi (~> 1.0, >= 1.0.11)
+ xpath (~> 2.0)
erubis (2.7.0)
factory_girl (4.2.0)
activesupport (>= 3.0.0)
factory_girl_rails (4.2.1)
factory_girl (~> 4.2.0)
railties (>= 3.0.0)
- ffi (1.4.0)
- hike (1.2.1)
- i18n (0.6.4)
- journey (1.0.4)
- json (1.7.7)
- launchy (2.2.0)
+ hike (1.2.3)
+ i18n (0.6.5)
+ launchy (2.3.0)
addressable (~> 2.3)
- mail (2.4.4)
- i18n (>= 0.4.0)
+ mail (2.5.4)
mime-types (~> 1.16)
treetop (~> 1.4.8)
metaclass (0.0.1)
- mime-types (1.21)
- mocha (0.13.2)
+ mime-types (1.25)
+ mini_portile (0.5.1)
+ minitest (4.7.5)
+ mocha (0.14.0)
metaclass (~> 0.0.1)
- multi_json (1.6.1)
- nokogiri (1.5.6)
+ multi_json (1.8.0)
+ nokogiri (1.6.0)
+ mini_portile (~> 0.5.0)
polyglot (0.3.3)
- rack (1.4.5)
- rack-cache (1.2)
- rack (>= 0.4)
- rack-ssl (1.3.3)
- rack
+ rack (1.5.2)
rack-test (0.6.2)
rack (>= 1.0)
- rails (3.2.11)
- actionmailer (= 3.2.11)
- actionpack (= 3.2.11)
- activerecord (= 3.2.11)
- activeresource (= 3.2.11)
- activesupport (= 3.2.11)
- bundler (~> 1.0)
- railties (= 3.2.11)
- railties (3.2.11)
- actionpack (= 3.2.11)
- activesupport (= 3.2.11)
- rack-ssl (~> 1.3.2)
+ rails (4.0.0)
+ actionmailer (= 4.0.0)
+ actionpack (= 4.0.0)
+ activerecord (= 4.0.0)
+ activesupport (= 4.0.0)
+ bundler (>= 1.3.0, < 2.0)
+ railties (= 4.0.0)
+ sprockets-rails (~> 2.0.0)
+ railties (4.0.0)
+ actionpack (= 4.0.0)
+ activesupport (= 4.0.0)
rake (>= 0.8.7)
- rdoc (~> 3.4)
- thor (>= 0.14.6, < 2.0)
- rake (10.0.3)
- rdoc (3.12.2)
- json (~> 1.4)
- rubyzip (0.9.9)
- safe_yaml (0.8.6)
- selenium-webdriver (2.31.0)
- childprocess (>= 0.2.5)
- multi_json (~> 1.0)
- rubyzip
- websocket (~> 1.0.4)
- sprockets (2.2.2)
+ thor (>= 0.18.1, < 2.0)
+ rake (10.1.0)
+ safe_yaml (0.9.7)
+ sprockets (2.10.0)
hike (~> 1.2)
multi_json (~> 1.0)
rack (~> 1.0)
tilt (~> 1.1, != 1.3.0)
- sqlite3 (1.3.7)
- thor (0.17.0)
- tilt (1.3.5)
- treetop (1.4.12)
+ sprockets-rails (2.0.0)
+ actionpack (>= 3.0)
+ activesupport (>= 3.0)
+ sprockets (~> 2.8)
+ sqlite3 (1.3.8)
+ thor (0.18.1)
+ thread_safe (0.1.3)
+ atomic
+ tilt (1.4.1)
+ treetop (1.4.15)
polyglot
polyglot (>= 0.3.1)
- tzinfo (0.3.36)
- websocket (1.0.7)
- will_paginate (3.0.4)
- xpath (1.0.0)
+ tzinfo (0.3.37)
+ will_paginate (3.0.5)
+ xpath (2.0.0)
nokogiri (~> 1.3)
PLATFORMS
ruby
DEPENDENCIES
- capybara-webkit
+ capybara
factory_girl_rails
launchy
mocha
- rails (= 3.2.11)
+ rails (= 4.0.0)
safe_yaml (>= 0.8.6)
sqlite3
will_paginate
View
@@ -11,6 +11,7 @@ To install add the following to your Gemfile:
```ruby
gem 'tolk'
+ gem 'protected_attributes'
```
To setup just run:
View
@@ -1,3 +1,3 @@
module Tolk
- VERSION = "1.3.11"
+ VERSION = "1.4.00"
end

0 comments on commit 076bce9

Please sign in to comment.